import { DisposableDelegate } from '@lumino/disposable';
import { PrimeHubDropdownList } from './primehub';
const plugin = {
    activate,
    id: 'jupyterlab-primehub',
    autoStart: true
};
export class PrimeHubExtenstion {
    createNew(panel, context) {
        const widget = new PrimeHubDropdownList(panel);
        panel.toolbar.insertAfter('cellType', 'primehubFunctions', widget);
        return new DisposableDelegate(() => {
            widget.dispose();
        });
    }
}
/**
 * Activate the extension.
 */
function activate(app) {
    app.docRegistry.addWidgetExtension('Notebook', new PrimeHubExtenstion());
}
;
/**
 * Export the plugin as default.
 */
export default plugin;
